Remittance Account Balance API
Query the balance of a remittance-enabled account.
Remittance Account Balance
Query the balance of the merchant's remittance-enabled master account.
API Information
POST/v2/api/pay/rmt/blc
Content-Type
application/json; charset=UTF-8테스트
https://tbnpay.settlebank.co.kr/v2/api/pay/rmt/blc운영
https://npay.settlebank.co.kr/v2/api/pay/rmt/blcRequest Parameters
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message information code.
Message information code.
*Fixed value
└mchtIdAN(8)Alphanumeric, up to 8 bytes*Merchant ID.
Merchant ID.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
Merchant order number.
└trdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date (yyyyMMdd).
Transaction date (yyyyMMdd).
└trdTmAN(6)Alphanumeric, up to 6 bytes*Transaction time (HH24MISS).
Transaction time (HH24MISS).
└pktHashAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 HMAC signature.(실시간 생성)SHA-256 HMAC signature.
NOTE
Signature composition
mchtId + mchtTrdNo + trdDt + trdTm + hashKey
Response Parameters
└outStatCdAN(4)Alphanumeric, up to 4 bytes*Transaction status code.
0021Transaction status code.
0021: Success 0031: Failure└outRsltCdAN(4)Alphanumeric, up to 4 bytes*Decline code.
0000Decline code.
└outRsltMsgAN(300)Alphanumeric, up to 300 bytes*Result message.
Processed successfully.Result message.
└mchtTrdNoAN(100)Alphanumeric, up to 100 bytes*Merchant order number.
OID20210830080000Merchant order number.
└trdNoAN(40)Alphanumeric, up to 40 bytes*Transaction reference number.
STFP_FIRM1233444365430698Transaction reference number.
└blcAmtN(13)Numeric, up to 13 bytes*
AES-256AES-256/ECB/PKCS5PaddingAccount balance.1000Account balance.
*실제 응답값은 AES-256 암호화된 값입니다. 복호화 후 사용하세요.
Need technical support?
Code Samples
HectoFinancial GitHub